2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
10 SHELL
=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be more Bourne compatible
16 DUALCASE
=1; export DUALCASE
# for MKS sh
17 if test -n "${ZSH_VERSION+set}" && (emulate sh
) >/dev
/null
2>&1; then
20 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
21 # is contrary to our usage. Disable this feature.
22 alias -g '${1+"$@"}'='"$@"'
25 case `(set -o) 2>/dev/null` in
26 *posix
*) set -o posix
;;
35 # Avoid depending upon Character Ranges.
36 as_cr_letters
='abcdefghijklmnopqrstuvwxyz'
37 as_cr_LETTERS
='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
38 as_cr_Letters
=$as_cr_letters$as_cr_LETTERS
39 as_cr_digits
='0123456789'
40 as_cr_alnum
=$as_cr_Letters$as_cr_digits
42 # The user is always right.
43 if test "${PATH_SEPARATOR+set}" != set; then
44 echo "#! /bin/sh" >conf$$.sh
45 echo "exit 0" >>conf$$.sh
47 if (PATH
="/nonexistent;."; conf$$.sh
) >/dev
/null
2>&1; then
55 # Support unset when possible.
56 if ( (MAIL
=60; unset MAIL
) ||
exit) >/dev
/null
2>&1; then
64 # We need space, tab and new line, in precisely that order. Quoting is
65 # there to prevent editors from complaining about space-tab.
66 # (If _AS_PATH_WALK were called with IFS unset, it would disable word
67 # splitting by setting IFS to empty value.)
72 # Find who we are. Look in the path if we contain no directory separator.
74 *[\\/]* ) as_myself
=$0 ;;
75 *) as_save_IFS
=$IFS; IFS
=$PATH_SEPARATOR
79 test -z "$as_dir" && as_dir
=.
80 test -r "$as_dir/$0" && as_myself
=$as_dir/$0 && break
86 # We did not find ourselves, most probably we were run as `sh COMMAND'
87 # in which case we are not to be found in the path.
88 if test "x$as_myself" = x
; then
91 if test ! -f "$as_myself"; then
92 echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
96 # Work around bugs in pre-3.0 UWIN ksh.
97 for as_var
in ENV MAIL MAILPATH
98 do ($as_unset $as_var) >/dev
/null
2>&1 && $as_unset $as_var
106 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
107 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
110 if (set +x
; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
111 eval $as_var=C
; export $as_var
113 ($as_unset $as_var) >/dev
/null
2>&1 && $as_unset $as_var
117 # Required to use basename.
118 if expr a
: '\(a\)' >/dev
/null
2>&1 &&
119 test "X`expr 00001 : '.*\(...\)'`" = X001
; then
125 if (basename -- /) >/dev
/null
2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
132 # Name of the executable.
133 as_me
=`$as_basename -- "$0" ||
134 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
135 X"$0" : 'X\(//\)$' \| \
136 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
138 sed '/^.*\/\([^/][^/]*\)\/*$/{
159 test "x$as_lineno_1" != "x$as_lineno_2" &&
160 test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" ||
{
162 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
163 # uniformly replaced by the line number. The first 'sed' inserts a
164 # line-number line after each line using $LINENO; the second 'sed'
165 # does the real work. The second script uses 'N' to pair each
166 # line-number line with the line containing $LINENO, and appends
167 # trailing '-' during substitution so that $LINENO is not a special
169 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
170 # scripts with optimization help from Paolo Bonzini. Blame Lee
171 # E. McMahon (1931-1989) for sed's syntax. :-)
183 s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
187 chmod +x
"$as_me.lineno" ||
188 { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
189 { (exit 1); exit 1; }; }
191 # Don't try to exec as it changes $[0], causing all sort of problems
192 # (the dirname of $[0] is not the place where we might find the
193 # original and so on. Autoconf is especially sensitive to this).
195 # Exit status is that of the last command.
200 if (as_dir
=`dirname -- /` && test "X$as_dir" = X
/) >/dev
/null
2>&1; then
206 ECHO_C
= ECHO_N
= ECHO_T
=
210 *c
*) ECHO_T
=' ';; # ECHO_T is single tab character.
217 if expr a
: '\(a\)' >/dev
/null
2>&1 &&
218 test "X`expr 00001 : '.*\(...\)'`" = X001
; then
224 rm -f conf$$ conf$$.exe conf$$.
file
225 if test -d conf$$.dir
; then
226 rm -f conf$$.dir
/conf$$.
file
232 if ln -s conf$$.
file conf$$
2>/dev
/null
; then
234 # ... but there are two gotchas:
235 # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
236 # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
237 # In both cases, we have to default to `cp -p'.
238 ln -s conf$$.
file conf$$.dir
2>/dev
/null
&& test ! -f conf$$.exe ||
240 elif ln conf$$.
file conf$$
2>/dev
/null
; then
245 rm -f conf$$ conf$$.exe conf$$.dir
/conf$$.
file conf$$.
file
246 rmdir conf$$.dir
2>/dev
/null
248 if mkdir
-p .
2>/dev
/null
; then
251 test -d .
/-p && rmdir .
/-p
255 if test -x / >/dev
/null
2>&1; then
258 if ls -dL / >/dev
/null
2>&1; then
265 if test -d "$1"; then
271 case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
272 ???[sx]*):;;*)false;;esac;fi
276 as_executable_p
=$as_test_x
278 # Sed expression to map a string onto a valid CPP name.
279 as_tr_cpp
="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
281 # Sed expression to map a string onto a valid variable name.
282 as_tr_sh
="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
287 # Save the log message, to keep $[0] and so on meaningful, and to
288 # report actual input values of CONFIG_FILES etc. instead of their
289 # values after options handling.
291 This file was extended by $as_me, which was
292 generated by GNU Autoconf 2.61. Invocation command line was
294 CONFIG_FILES = $CONFIG_FILES
295 CONFIG_HEADERS = $CONFIG_HEADERS
296 CONFIG_LINKS = $CONFIG_LINKS
297 CONFIG_COMMANDS = $CONFIG_COMMANDS
300 on `(hostname || uname -n) 2>/dev/null | sed 1q`
303 # Files that config.status was made for.
304 config_headers
=" config.h"
307 \`$as_me' instantiates files from templates according to the
308 current configuration.
310 Usage: $0 [OPTIONS] [FILE]...
312 -h, --help print this help, then exit
313 -V, --version print version number and configuration settings, then exit
314 -q, --quiet do not print progress messages
315 -d, --debug don't remove temporary files
316 --recheck update $as_me by reconfiguring in the same conditions
317 --header=FILE[:TEMPLATE]
318 instantiate the configuration header FILE
320 Configuration headers:
323 Report bugs to <bug-autoconf@gnu.org>."
327 configured by ./configure, generated by GNU Autoconf 2.61,
330 Copyright (C) 2006 Free Software Foundation, Inc.
331 This config.status script is free software; the Free Software Foundation
332 gives unlimited permission to copy, distribute and modify it."
334 ac_pwd
='/home/akshat/php-ext/cairo/phpCairo/cairo'
336 # If no file are specified by the user, then we need to provide default
337 # value. By we need to know if files were specified by the user.
343 ac_option
=`expr "X$1" : 'X\([^=]*\)='`
344 ac_optarg
=`expr "X$1" : 'X[^=]*=\(.*\)'`
355 # Handling of the options.
356 -recheck |
--recheck |
--rechec |
--reche |
--rech |
--rec |
--re |
--r)
358 --version |
--versio |
--versi |
--vers |
--ver |
--ve |
--v |
-V )
359 echo "$ac_cs_version"; exit ;;
360 --debug |
--debu |
--deb |
--de |
--d |
-d )
362 --header |
--heade |
--head |
--hea )
364 CONFIG_HEADERS
="$CONFIG_HEADERS $ac_optarg"
365 ac_need_defaults
=false
;;
367 # Conflict between --help and --header
368 { echo "$as_me: error: ambiguous option: $1
369 Try \`$0 --help' for more information." >&2
370 { (exit 1); exit 1; }; };;
371 --help |
--hel |
-h )
372 echo "$ac_cs_usage"; exit ;;
373 -q |
-quiet |
--quiet |
--quie |
--qui |
--qu |
--q \
374 |
-silent |
--silent |
--silen |
--sile |
--sil |
--si |
--s)
378 -*) { echo "$as_me: error: unrecognized option: $1
379 Try \`$0 --help' for more information." >&2
380 { (exit 1); exit 1; }; } ;;
382 *) ac_config_targets
="$ac_config_targets $1"
383 ac_need_defaults
=false
;;
389 ac_configure_extra_args
=
391 if $ac_cs_silent; then
393 ac_configure_extra_args
="$ac_configure_extra_args --silent"
396 if $ac_cs_recheck; then
397 echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " $ac_configure_extra_args " --no-create --no-recursion" >&6
400 exec /bin
/sh
"./configure" $ac_configure_extra_args --no-create --no-recursion
406 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
407 ## Running $as_me. ##
413 # Handling of arguments.
414 for ac_config_target
in $ac_config_targets
416 case $ac_config_target in
417 "config.h") CONFIG_HEADERS
="$CONFIG_HEADERS config.h" ;;
419 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
420 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
421 { (exit 1); exit 1; }; };;
426 # If the user did not use the arguments to specify the items to instantiate,
427 # then the envvar interface is used. Set only those that are not.
428 # We use the long form for the default assignment because of an extremely
429 # bizarre bug on SunOS 4.1.3.
430 if $ac_need_defaults; then
431 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS
=$config_headers
434 # Have a temporary directory for convenience. Make it in the build tree
435 # simply because there is no reason against having it here, and in addition,
436 # creating and moving files from /tmp can sometimes cause problems.
437 # Hook for its removal unless debugging.
438 # Note that there is a small window in which the directory will not be cleaned:
439 # after its creation but before its name has been assigned to `$tmp'.
444 { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
446 trap '{ (exit 1); exit 1; }' 1 2 13 15
448 # Create a (secure) tmp directory for tmp files.
451 tmp
=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
452 test -n "$tmp" && test -d "$tmp"
456 (umask 077 && mkdir
"$tmp")
459 echo "$me: cannot create a temporary directory in ." >&2
460 { (exit 1); exit 1; }
464 for ac_tag
in :H
$CONFIG_HEADERS
467 :[FHLC
]) ac_mode
=$ac_tag; continue;;
469 case $ac_mode$ac_tag in
471 :L
* |
:C
*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
472 echo "$as_me: error: Invalid tag $ac_tag." >&2;}
473 { (exit 1); exit 1; }; };;
475 :[FH
]*) ac_tag
=$ac_tag:$ac_tag.
in;;
492 -) ac_f
="$tmp/stdin";;
493 *) # Look for the file first in the build tree, then in the source tree
494 # (if the path is not absolute). The absolute path cannot be DOS-style,
495 # because $ac_f cannot contain `:'.
499 *) test -f "$srcdir/$ac_f" && ac_f
="$srcdir/$ac_f";;
501 { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
502 echo "$as_me: error: cannot find input file: $ac_f" >&2;}
503 { (exit 1); exit 1; }; };;
505 ac_file_inputs
="$ac_file_inputs $ac_f"
508 # Let's still pretend it is `configure' which instantiates (i.e., don't
509 # use $as_me), people would be surprised to read:
510 # /* config.h. Generated by config.status. */
511 configure_input
="Generated from "`IFS=:
512 echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
513 if test x
"$ac_file" != x-
; then
514 configure_input
="$ac_file. $configure_input"
515 { echo "$as_me:$LINENO: creating $ac_file" >&5
516 echo "$as_me: creating $ac_file" >&6;}
520 *:-:* |
*:-) cat >"$tmp/stdin";;
525 ac_dir
=`$as_dirname -- "$ac_file" ||
526 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
527 X"$ac_file" : 'X\(//\)[^/]' \| \
528 X"$ac_file" : 'X\(//\)$' \| \
529 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
531 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
550 -*) as_dir
=.
/$as_dir;;
552 test -d "$as_dir" ||
{ $as_mkdir_p && mkdir
-p "$as_dir"; } ||
{
556 *\'*) as_qdir
=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
559 as_dirs
="'$as_qdir' $as_dirs"
560 as_dir
=`$as_dirname -- "$as_dir" ||
561 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
562 X"$as_dir" : 'X\(//\)[^/]' \| \
563 X"$as_dir" : 'X\(//\)$' \| \
564 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
566 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
583 test -d "$as_dir" && break
585 test -z "$as_dirs" ||
eval "mkdir $as_dirs"
586 } ||
test -d "$as_dir" ||
{ { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
587 echo "$as_me: error: cannot create directory $as_dir" >&2;}
588 { (exit 1); exit 1; }; }; }
592 .
) ac_dir_suffix
= ac_top_builddir_sub
=. ac_top_build_prefix
= ;;
594 ac_dir_suffix
=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
595 # A ".." for each directory in $ac_dir_suffix.
596 ac_top_builddir_sub
=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
597 case $ac_top_builddir_sub in
598 "") ac_top_builddir_sub
=. ac_top_build_prefix
= ;;
599 *) ac_top_build_prefix
=$ac_top_builddir_sub/ ;;
602 ac_abs_top_builddir
=$ac_pwd
603 ac_abs_builddir
=$ac_pwd$ac_dir_suffix
604 # for backward compatibility:
605 ac_top_builddir
=$ac_top_build_prefix
608 .
) # We are building in place.
610 ac_top_srcdir
=$ac_top_builddir_sub
611 ac_abs_top_srcdir
=$ac_pwd ;;
612 [\\/]* | ?
:[\\/]* ) # Absolute name.
613 ac_srcdir
=$srcdir$ac_dir_suffix;
614 ac_top_srcdir
=$srcdir
615 ac_abs_top_srcdir
=$srcdir ;;
617 ac_srcdir
=$ac_top_build_prefix$srcdir$ac_dir_suffix
618 ac_top_srcdir
=$ac_top_build_prefix$srcdir
619 ac_abs_top_srcdir
=$ac_pwd/$srcdir ;;
621 ac_abs_srcdir
=$ac_abs_top_srcdir$ac_dir_suffix
630 # First, check the format of the line:
631 cat >"$tmp/defines.sed" <<\CEOF
632 /^
[ ]*#[ ]*undef[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[ ]*$/b def
633 /^
[ ]*#[ ]*define[ ][ ]*[_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ][_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789]*[( ]/b def
637 s
,^\
([ #]*\)[^ ]*\([ ]*PACKAGE_NAME\)[ (].*,\1define\2 "" ,
638 s
,^\
([ #]*\)[^ ]*\([ ]*PACKAGE_TARNAME\)[ (].*,\1define\2 "" ,
639 s
,^\
([ #]*\)[^ ]*\([ ]*PACKAGE_VERSION\)[ (].*,\1define\2 "" ,
640 s
,^\
([ #]*\)[^ ]*\([ ]*PACKAGE_STRING\)[ (].*,\1define\2 "" ,
641 s
,^\
([ #]*\)[^ ]*\([ ]*PACKAGE_BUGREPORT\)[ (].*,\1define\2 "" ,
642 s
,^\
([ #]*\)[^ ]*\([ ]*HAVE_PHPCAIRO\)[ (].*,\1define\2 1 ,
643 s
,^\
([ #]*\)[^ ]*\([ ]*COMPILE_DL_CAIRO\)[ (].*,\1define\2 1 ,
644 s
,^\
([ #]*\)[^ ]*\([ ]*HAVE_CAIRO\)[ (].*,\1define\2 1 ,
645 s
,^\
([ #]*\)[^ ]*\([ ]*STDC_HEADERS\)[ (].*,\1define\2 1 ,
646 s
,^\
([ #]*\)[^ ]*\([ ]*HAVE_SYS_TYPES_H\)[ (].*,\1define\2 1 ,
647 s
,^\
([ #]*\)[^ ]*\([ ]*HAVE_SYS_STAT_H\)[ (].*,\1define\2 1 ,
648 s
,^\
([ #]*\)[^ ]*\([ ]*HAVE_STDLIB_H\)[ (].*,\1define\2 1 ,
649 s
,^\
([ #]*\)[^ ]*\([ ]*HAVE_STRING_H\)[ (].*,\1define\2 1 ,
650 s
,^\
([ #]*\)[^ ]*\([ ]*HAVE_MEMORY_H\)[ (].*,\1define\2 1 ,
651 s
,^\
([ #]*\)[^ ]*\([ ]*HAVE_STRINGS_H\)[ (].*,\1define\2 1 ,
652 s
,^\
([ #]*\)[^ ]*\([ ]*HAVE_INTTYPES_H\)[ (].*,\1define\2 1 ,
653 s
,^\
([ #]*\)[^ ]*\([ ]*HAVE_STDINT_H\)[ (].*,\1define\2 1 ,
654 s
,^\
([ #]*\)[^ ]*\([ ]*HAVE_UNISTD_H\)[ (].*,\1define\2 1 ,
655 s
,^\
([ #]*\)[^ ]*\([ ]*HAVE_DLFCN_H\)[ (].*,\1define\2 1 ,
659 sed -f "$tmp/defines.sed" $ac_file_inputs >"$tmp/out1"
660 ac_result
="$tmp/out1"
661 if test x
"$ac_file" != x-
; then
662 echo "/* $configure_input */" >"$tmp/config.h"
663 cat "$ac_result" >>"$tmp/config.h"
664 if diff $ac_file "$tmp/config.h" >/dev
/null
2>&1; then
665 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
666 echo "$as_me: $ac_file is unchanged" >&6;}
669 mv "$tmp/config.h" $ac_file
672 echo "/* $configure_input */"
684 { (exit 0); exit 0; }